<header id="header" class="h-24 sm:h-20 flex flex-wrap-reverse md:flex-no-wrap justify-between items-center sticky top-0 w-full px-7 text-slate-50">
  <%= if @username do %>
    <nav class="font-medium h-12 w-full md:w-fit lg:h-20">
      <div class="h-full duration-300 navlink-a hover:ease-linear hover:duration-300 px-2 hover:text-lg flex items-center justify-center">
        <.link navigate={~p"/expressions"}>Expressions</.link>
      </div>
    </nav>
    <div class="flex justify-around md:justify-end items-center w-full md:w-fit md:text-2xl">
      <%= if @avatar do %>
        <img class="avatar rounded-full max-h-12 lg:max-h-16" src={"https://cdn.discordapp.com/avatars/#{@discord_id}/#{@avatar}.gif"}>
      <% end %>
      <span class="header-text">Welcome, <em><%= @username %></em>!</span>
      <.link
        navigate={~p"/oauth/logout"}
        title="logout"
        class="text-sm font-semibold text-slate-100 hover:text-white ease-linear duration-300 hover:ease-linear hover:duration-300 text-xl"
      >
        <i class="fa-solid fa-right-from-bracket ml-5"></i>
      </.link>
    </div>
  <% else %>
    <div class="w-full flex justify-end items-center">
      <.link
        navigate={~p"/oauth/login"}
        title="login"
        class="text-sm font-semibold text-slate-100 hover:text-white ease-linear duration-300 hover:ease-linear hover:duration-300 text-xl"
      >
        <i class="fa-solid fa-right-to-bracket mr-2"></i>
        Login
      </.link>
    </div>
  <% end %>
</header>
<.flash_group flash={@flash} />
<div class="bg-animation">
  <div
    class="pt-20 md:px-28 mx-auto max-w-full flex flex-wrap justify-between md:flex-nowrap text-justify items-center xl:items-start"
  >
    <div id="logo" class="bear-animation"><img src="images/logo.jpg" alt="Insomniac Expressions" class="max-h-[50rem] rounded-full" /></div>
    <div id="ie-info" class="w-full md:w-auto md:mt-4 2xl:mt-12 py-12 px-4 xl:px-20 bg-info md:rounded-3xl">
      <p class="text-[4rem] mt-4 font-semibold leading-[4rem] tracking-tighter text-white">
        Insomniac Expressions
      </p>
      <div class="md:max-w-[85%]">
        <p class="mt-4 text-base leading-7 text-zinc-200 text-lg">
          Insomniac Expressions is a Discord bot created to show your emotions or react to whatever you want.
          It includes actions such as hug, kiss, punch, cuddle and the like.
        </p>
        <p class="mt-4 text-base leading-7 text-zinc-200 text-lg">
          This is an online admin panel which allows authorised users to manage reactions, adding, editing and removing images.
        </p>
      </div>
      <div class="flex justify-around items-center pt-8 xl:max-w-[50%]">
        <.link
          navigate="https://discord.com/invite/v9jwkq65vq"
          title="login"
          class={
            "text-xl font-semibold text-white hover:text-slate-100 ease-linear duration-500 hover:duration-500 hover:ease-linear" <>
            " btn-primary p-4"
          }
        >
          <i class="fa-brands fa-discord"></i>
          Discord
        </.link>
        <.link
          navigate="https://gitlab.com/square-wheel-team/insomniac-expressions"
          title="gitlab"
          class={
            "text-xl font-semibold text-white hover:text-slate-100 ease-linear duration-500 hover:duration-500 hover:ease-linear" <>
            " btn-primary p-4"
          }
        >
          <i class="fa-brands fa-square-gitlab text-2xl"></i>
          Gitlab Team
        </.link>
      </div>
    </div>
  </div>
</div>
